Bug 474147 - Update request: llvm-2.4
Update request: llvm-2.4
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: llvm (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Bryan O'Sullivan
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 09:24 EST by Michel Alexandre Salim
Modified: 2009-01-07 04:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-07 04:29:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file for LLVM 2.4 (8.82 KB, text/plain)
2008-12-02 09:25 EST, Michel Alexandre Salim
no flags Details
Updated spec file for LLVM 2.4 (8.93 KB, text/plain)
2008-12-02 16:17 EST, Michel Alexandre Salim
no flags Details
Updated spec: better patch for the ocaml binding bug (9.26 KB, text/plain)
2008-12-02 20:53 EST, Michel Alexandre Salim
no flags Details
Patch for Makefile.ocaml (435 bytes, patch)
2008-12-02 20:56 EST, Michel Alexandre Salim
no flags Details | Diff

  None (edit)
Description Michel Alexandre Salim 2008-12-02 09:24:08 EST
Description of problem:
llvm 2.4 has been released, sporting a new OCaml language binding. I've tidied up the spec file a bit, and split out this binding into a separate subpackage -- the new RPM builds, and I'm currently testing it with the LLVM OCaml tutorial.

Version-Release number of selected component (if applicable):

Additional info:
Koji build (F10):
http://koji.fedoraproject.org/koji/taskinfo?taskID=970868
Comment 1 Michel Alexandre Salim 2008-12-02 09:25:11 EST
Created attachment 325376 [details]
Spec file for LLVM 2.4
Comment 2 john5342 2008-12-02 09:53:44 EST
This bug has been triaged
Comment 3 Michel Alexandre Salim 2008-12-02 16:17:00 EST
Created attachment 325430 [details]
Updated spec file for LLVM 2.4

Just tested the Koji build and while it works fine, there are missing dependency informations which have been added:

- llvm-ocaml should depend on llvm as well as ocaml-runtime
- llvm-ocaml-devel should depend on llvm-ocaml and llvm-devel

The doc subpackage might need some looking at, and I've not looked at how to use the OCaml find-requires scripts (so the OCaml dependencies are currently unversioned). Not sure if we should use the OCaml scripts *or* the normal scripts, or both.
Comment 4 Michel Alexandre Salim 2008-12-02 20:53:28 EST
Created attachment 325466 [details]
Updated spec: better patch for the ocaml binding bug

Reported upstream: http://llvm.org/bugs/show_bug.cgi?id=3153

Using the workaround of passing OVERRIDE_libdir to 'make install', and patching Makefile.ocaml to use this as the source directory for linking operations.

Next attachment contains the patch itself.
Comment 5 Michel Alexandre Salim 2008-12-02 20:56:04 EST
Created attachment 325467 [details]
Patch for Makefile.ocaml

To test the OCaml bindings:

http://llvm.org/docs/tutorial/OCamlLangImpl3.html

(needs ocaml-camlp4-devel, which is not a Requires: as it is a specific requirement of the tutorial and not the binding itself)
Comment 6 Fedora Update System 2008-12-14 11:33:59 EST
llvm-2.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/llvm-2.4-2.fc10
Comment 7 Bryan O'Sullivan 2008-12-14 11:34:47 EST
Thanks, Michel!
Comment 8 Fedora Update System 2008-12-17 19:32:08 EST
llvm-2.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update llvm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11298
Comment 9 Fedora Update System 2009-01-07 04:29:25 EST
llvm-2.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.